#
# spec file for package jfbterm (Version 0.3.10)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils bzip2 coreutils cpio cpp cpp42 cracklib cvs diffutils file filesystem fillup findutils gawk gcc gcc42 gdbm gettext gettext-devel glibc glibc-devel glibc-locale grep groff gzip info insserv less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libgcc42 libgomp42 libltdl-3 libmudflap42 libreadline5 libstdc++42 libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp ncurses ncurses-devel net-tools netcfg pam pam-modules patch perl perl-base permissions popt rpm sed sysvinit tar texinfo timezone utempter util-linux zlib

Name:           jfbterm
BuildRequires:  ncurses-devel utempter
License:        BSD 3-Clause
Group:          System/Console
PreReq:         /bin/cat /usr/bin/grep permissions
AutoReqProv:    on
Version:        0.3.10
Release:        593.2
Url:            http://www3.justnet.ne.jp/~nmasu/linux/jfbterm/indexn.html
Source:         http://www3.justnet.ne.jp/~nmasu/linux/binary/jfbterm-0.3.10.tar.bz2
Source1:        terminfo.jfbterm
Source2:        termcap.jfbterm
Patch0:         jfbterm-0.3.10.suse.patch
Patch1:         jfbterm-0.3.10-security.patch
Patch2:         jfbterm-0.3.10-implicit_decl.patch
Patch3:         jfbterm-pagemask.patch
Summary:        Framebuffer Terminal to Display Japanese Characters
# Summary(ja): Linux の framebuffer 上で漢字を表示するためのプログラムです。
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
# %description -l ja
# 
# JFBTERM は Linux の framebuffer 上で漢字を表示するためのプログラムです。
# KON 同様に疑似端末を使ってコンソール出力をフックしますが、VGA ではなく、
# framebuffer に展開しています。
# 
# SuSE series: j

%description
JFBTERM is a program to display Japanese Kanji characters using the
framebuffer. Similar to the well-known program kon, it uses a terminal
emulator on the console and hooks into its output. But JFBTERM does not
use VGA (like kon does). It uses the framebuffer instead.



%debug_package
%prep
%setup 
%patch0 -p1
%patch1 -p1 -b .security
%patch2
%patch3
cp %{SOURCE1} .
cp %{SOURCE2} .

%build
# update config.{guess,sub}
%{?suse_update_config:%{suse_update_config}}
aclocal
automake -a --gnu --include-deps
autoconf
CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=/usr \
            --bindir=/usr/bin \
            --sysconfdir=/etc \
            --mandir=%{_mandir} \
            --infodir=%{_infodir} \
%ifnarch i386
	    --disable-vga16fb \
%endif
            %{_target_cpu}-suse-linux-gnu
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
# "make install" doesn't work well here, therefore I do it manually
# there are only two files anyway.
# make prefix=$RPM_BUILD_ROOT/ install
# mv $RPM_BUILD_ROOT/etc/jfbterm.conf.sample $RPM_BUILD_ROOT/etc/jfbterm.conf
mkdir -p $RPM_BUILD_ROOT/etc
mkdir -p $RPM_BUILD_ROOT/usr/bin
install -p -m 4755 jfbterm $RPM_BUILD_ROOT/usr/bin/jfbterm
install -p -m 644 jfbterm.conf.sample $RPM_BUILD_ROOT/etc/jfbterm.conf
# install terminfo entry-description
# mkdir -p $RPM_BUILD_ROOT/usr/share/terminfo/j
# TERMINFO=$RPM_BUILD_ROOT/usr/share/terminfo tic terminfo.jfbterm

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%post
%run_permissions
# canuum needs a termcap entry, without it canuum won't run under jfbterm:
if [ -f etc/termcap ]; then
    if [ `grep -c '^jfbterm|japanese framebuffer terminal' etc/termcap` -eq 0 ]; then
	cat %{_defaultdocdir}/jfbterm/termcap.jfbterm >> etc/termcap
    fi
fi
%verifyscript
%verify_permissions -e /usr/bin/jfbterm

%files
%defattr(-, root, root)
%doc AUTHORS NEWS COPYING README ChangeLog INSTALL jfbterm.conf.sample
%doc terminfo.jfbterm termcap.jfbterm
%verify(not mode) %attr(0755,root,tty) /usr/bin/jfbterm
/etc/jfbterm.conf
#/usr/share/terminfo/j/jfbterm
%changelog
* Wed Sep 26 2007 - mfabian@suse.de
- Bugzilla #309094: fonts are now in /usr/share/fonts.
* Wed Sep 26 2007 - mfabian@suse.de
- Bugzilla #309093: don't package terminfo entry, it is already
  in the terminfo package.
* Thu Mar 29 2007 - rguenther@suse.de
- add ncurses-devel BuildRequires
* Fri May 19 2006 - ro@suse.de
- fix build on ppc64
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Sep 23 2005 - ro@suse.de
- fix implicit declaration
* Thu Oct 30 2003 - ro@suse.de
- package according to permissions.secure and add %%run_permissions
- no root for build
* Tue Sep 16 2003 - mfabian@suse.de
- Bugzilla #31101: fix attributes of /usr/bin/jfbterm to agree
  with /etc/permissions*. Now set to
  "%%attr(6755,root,tty) /usr/bin/jfbterm"
* Thu Aug 01 2002 - mfabian@suse.de
- add /bin/cat /usr/bin/grep to Prereq:
* Thu Feb 07 2002 - mfabian@suse.de
- canuum really needs the /etc/termcap entry, therefore I added
  add a "%%post" script again which adds termcap entry if
  the file etc/termcap exists and doesn't yet have an entry for
  jfbterm
* Sat Feb 02 2002 - ro@suse.de
- call automake first to fix build
* Thu Jan 31 2002 - okir@suse.de
- various security fixes/changes:
  *	open framebuffer and /dev/console as the very first
  thing in main(), then drop privs
  *	use utempter to add/remove utmp entry
  *	close all open fds > 2 before executing the shell.
  NB: jfbterm would pass the framebuffer fd to the user's
  shell.
* Mon May 07 2001 - mfabian@suse.de
- bzip2 sources
* Tue Apr 10 2001 - mfabian@suse.de
- remove "%%post" script to add /etc/termcap entry. It is not
  needed and causes problems when the file /etc/termcap is not
  yet installed.
* Sat Apr 07 2001 - mfabian@suse.de
- forgot to remove "Prereq: /usr/bin/tic"
* Fri Mar 30 2001 - uli@suse.de
- disabled direct VGA access for non-x86 archs
* Tue Mar 27 2001 - mfabian@suse.de
- don't call "tic" in %%post, pack terminfo entry-description
  into the rpm instead
* Wed Feb 14 2001 - mfabian@suse.de
- fix compile problem due to "missing linux/config.h"
* Wed Sep 20 2000 - mfabian@suse.de
- new package jfbterm, version 0.3.10
- Included fix for buffer overflow in tapp_init(main.c) pointed out
  by Fumitoshi UKAI <ukai@debian.org>
- The original version refers to terminfo entry 'kon', but the SuSE
  rpm version refers to the terminfo entry 'jfbterm', which is
  actually the same as 'kon' apart from the different name.
  The terminfo.jfbterm file has been copied from terminfo.kon and
  only the name has been changed.
- fixed font paths and font file names in config file.
